List a user's subscriptions and one-off purchases
curl --request POST \
--url https://billing.funnelfox.com/{org_id}/v1/my_assets \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>"
}
'import requests
url = "https://billing.funnelfox.com/{org_id}/v1/my_assets"
payload = { "external_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({external_id: '<string>'})
};
fetch('https://billing.funnelfox.com/{org_id}/v1/my_assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptions": [
{
"subs_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"price_point": {
"ident": "<string>",
"currency": {
"code": "<string>",
"minor_units": 123,
"title": "<string>",
"symbol": "<string>"
},
"features": [
{
"ident": "<string>"
}
],
"lifetime_price": 123,
"intro_free_trial_period": 123,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 123,
"next_price": 123,
"next_period": 123
},
"status": [
"<string>"
],
"started_at": "2023-11-07T05:31:56Z",
"current_period_starts_at": "2023-11-07T05:31:56Z",
"current_period_ends_at": "2023-11-07T05:31:56Z",
"next_check_at": "2023-11-07T05:31:56Z",
"iteration": 123,
"available_actions": [],
"initial_order_metadata": {},
"discounts": [
{
"discount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subs_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"count_of_iterations": 123,
"count_of_iterations_available": 123,
"percent": 123,
"report": {}
}
],
"next_payment_at": "2023-11-07T05:31:56Z",
"unused_premium_after_pause": 123
}
],
"oneoffs": [
{
"oneoff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"price_point": {
"ident": "<string>",
"currency": {
"code": "<string>",
"minor_units": 123,
"title": "<string>",
"symbol": "<string>"
},
"features": [
{
"ident": "<string>"
}
],
"lifetime_price": 123,
"intro_free_trial_period": 123,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 123,
"next_price": 123,
"next_period": 123
},
"started_at": "2023-11-07T05:31:56Z",
"initial_order_metadata": {},
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_at": "2023-11-07T05:31:56Z"
}
],
"consumables": [
{
"consumable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"price_point": {
"ident": "<string>",
"currency": {
"code": "<string>",
"minor_units": 123,
"title": "<string>",
"symbol": "<string>"
},
"features": [
{
"ident": "<string>"
}
],
"lifetime_price": 123,
"intro_free_trial_period": 123,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 123,
"next_price": 123,
"next_period": 123
},
"feature": {
"ident": "<string>"
},
"started_at": "2023-11-07T05:31:56Z",
"initial_order_metadata": {},
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_at": "2023-11-07T05:31:56Z"
}
]
}Information
List a user's subscriptions and one-off purchases
Retrieve all active subscription and one-off (lifetime) purchases for a given user.
POST
/
my_assets
List a user's subscriptions and one-off purchases
Path Parameters
Organization ID
Body
application/json
Your unique identifier for the user
Maximum string length:
256Was this page helpful?
⌘I
